Bug 96992 - mozilla-1.4-1 loses focus
mozilla-1.4-1 loses focus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-07 23:05 EDT by Jonathan Kamens
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 17:15:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2003-06-07 23:05:23 EDT
I use twm in focus-follows-mouse mode.

Mozilla-1.4-1, and before it mozilla-1.4b, frequently doesn't accept focus when
the mouse enters the window.  I've found no reliable way to get it to start
accepting focus again -- once it gets into the state, even moving the mouse out
and back in doesn't help.  The only workaround is to tell twm explicitly to give
focus to the mozilla window, which means that I can't type in other windows by
moving the mouse, which is very annoying.
Comment 1 Mario Mikocevic 2003-06-13 04:45:25 EDT
I can resolve that by opening another x11 window (xterm, mozilla or something)
in the
same windowmanager (twm, wmaker) space and then switching focus up and forth with
moving the mouse. Little less annoying.
Comment 2 Göran Uddeborg 2003-07-23 16:24:19 EDT
I seem to be able to repeat this reliably by:

1. Click in some input field in mozilla and start typing.
2. Move mouse (focus) outside mozilla.
3. Move mouse (focus) back to mozilla.

Now it is no longer possible to enter anything in the field.

The easiest way to fix things I've found is:

1. Click outside the input field you are trying to write in, so no field has focus.
2. Move mouse (focus) to some other window.
3. Move mouse (focus) back to mozilla.
4. Click in the input field where you want to write again.

So far, both these have been reliable to trigger and solve the problem for me. 
Is it the same for you too?
Comment 3 Jonathan Kamens 2003-07-24 00:14:31 EDT
Yes, the behavior of the bug for me is essentially as you describe.
Comment 4 Ben Hsu 2003-09-27 00:04:54 EDT
This no longer reproduces in Fedora 0.94 beta 2
Comment 5 Christopher Blizzard 2003-09-29 17:15:48 EDT
Marking CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.